Summary:	Gnucap is the Gnu Circuit Analysis Package
Name:		gnucap
Version: 	0.35
Release: 	3.1
License: 	GPL
Group: 		Productivity/Scientific/Electronics
Packager:	Werner Hoch <werner.ho@gmx.de>

URL: 		http://www.geda.seul.org/tools/gnucap
Source:		http://www.gnucap.org/dist/gnucap-0.35.tar.gz

BuildRoot: 	%{_tmppath}/gnucap-%{version}-%{release}-root

Autoreqprov:    On
BuildRequires: 	readline-devel gcc-c++ libpng
%if 0%{?suse_version} > 1020
BuildRequires:  texlive-devel texlive-latex
%else
BuildRequires:  te_latex tetex
%endif

%description 
The primary component is a general purpose circuit simulator. It
performs nonlinear dc and transient analyses, fourier analysis, and ac
analysis. Spice compatible models for the MOSFET (level 1-7), BJT, and
diode are included in this release.

Gnucap is not based on Spice, but some of the models have been derived
from the Berkeley models.

Unlike Spice, the engine is designed to do true mixed-mode
simulation. Most of the code is in place for future support of event
driven analog simulation, and true multi-rate simulation.


%prep
%setup

%build
%configure
%{__make}

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-) 
%{_prefix}/bin/*
%{_mandir}/*
%doc %{_datadir}/%{name}/doc/*
%doc %{_datadir}/%{name}/examples/*
%doc %{_datadir}/%{name}/manual/*

%changelog
* Sat Sep 08 2007 Werner Hoch <werner.ho@gmx.de>
- build fix: different latex package for openSUSE 10.3
* Tue Sep 26 2006 Werner Hoch <werner.ho@gmx.de>
- update to gnucap version 0.35
* Tue Sep 13 2006 Werner Hoch <werner.ho@gmx.de>
- update to gnucap version 2006-09-12
* Thu Aug 31 2006 Werner Hoch <werner.ho@gmx.de>
- update to gnucap version 2006-08-30
* Sun Aug 27 2006 Werner Hoch <werner.ho@gmx.de>
- first spec file

